Subject: bug#45776: Bug? Haskell GHC wont' work since [email-masked]?

From: yasu <[email-masked]>
Date: Mon, 11 Jan 2021 14:47:00 +0900

This one ought to be very simple to solve (or at least confirm).   Does
anyone use Haskell daily?

I am a very casual user of Haskell (GHC) and when I tried to compile
something just now, I noticed that it can't even compile the simplest
possible program..., unless I downgrade to [email-masked] or lower. Newer
versions, including [email-masked], didn't work, throwing the error message
below instead.

~/co/haskell-tiny-intro/exercise (master *)$ cat a.hs
main = putStrLn "a"

~/co/haskell-tiny-intro/exercise (master *)$ ghc a.hs
Linking a ...
.gcc-wrapped: error: unrecognized command line option '-no-pie'
`gcc' failed in phase `C Compiler'. (Exit code: 1)

Cheers,
Yasu